Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cmp.attribute
Class OldCertIDRegControl

`java.lang.Object
oracle.security.crypto.cert.AttributeTypeAndValue
oracle.security.crypto.cmp.attribute.RegistrationControl
oracle.security.crypto.cmp.attribute.OldCertIDRegControl`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class OldCertIDRegControl
extends RegistrationControl

CRMF old certificate ID registration control.

Field Summary

Fields inherited from class oracle.security.crypto.cmp.attribute.RegistrationControl
`decoded, encoded`

Constructor Summary
`OldCertIDRegControl()` Creates a new, empty `OldCertIDRegControl` instance.
`OldCertIDRegControl(oracle.security.crypto.cert.GeneralName issuer, java.math.BigInteger serialNumber)`
`OldCertIDRegControl(java.io.InputStream is)`

Method Summary
`protected void` | `decodeValue()` Decodes the superclass `AttributeTypeAndValue`'s `ASN1Object` value to populate this control's fields.
`protected void` | `encodeValue()` Encodes this control's fields as an `ASN1Object` for the superclass `AttributeTypeAndValue`'s value.
`oracle.security.crypto.cert.GeneralName` | `getIssuer()`
`java.math.BigInteger` | `getSerialNo()`

Methods inherited from class oracle.security.crypto.cmp.attribute.RegistrationControl
`input, inputInstance, length, output, setValue`

Methods inherited from class oracle.security.crypto.cert.AttributeTypeAndValue
`getType, getValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OldCertIDRegControl

    public OldCertIDRegControl()

  Creates a new, empty `OldCertIDRegControl` instance. Note, the created object is not valid, and is intended primarily for use in conjunction with the `RegistrationControl.input(java.io.InputStream)` method.

### OldCertIDRegControl

    public OldCertIDRegControl(oracle.security.crypto.cert.GeneralName issuer,
                               java.math.BigInteger serialNumber)

### OldCertIDRegControl

    public OldCertIDRegControl(java.io.InputStream is)
                        throws java.io.IOException

Method Detail

### getIssuer

    public oracle.security.crypto.cert.GeneralName getIssuer()

### getSerialNo

    public java.math.BigInteger getSerialNo()

### encodeValue

    protected void encodeValue()

  Description copied from class: `RegistrationControl`
  Encodes this control's fields as an `ASN1Object` for the superclass `AttributeTypeAndValue`'s value.

  Subclasses must override this method to properly test and set the `RegistrationControl.encoded` field, and invoke the superclass `RegistrationControl.setValue(oracle.security.crypto.asn1.ASN1Object)` method to set the encoded structure.

  Overrides:
    `encodeValue` in class `RegistrationControl`

### decodeValue

    protected void decodeValue()

  Description copied from class: `RegistrationControl`
  Decodes the superclass `AttributeTypeAndValue`'s `ASN1Object` value to populate this control's fields.

  Subclasses must override this method to invoke the superclass `AttributeTypeAndValue.getValue()` method to get the structure to decode, and properly test and set the `RegistrationControl.decoded` field.

  Overrides:
    `decodeValue` in class `RegistrationControl`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.